Page MenuHomePhabricator

Verify upgrade to Gerrit 3.x will work on test hardware.
Closed, ResolvedPublic

Event Timeline

QChris created this task.Jun 6 2020, 12:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 6 2020, 12:42 PM

Upgrade to 3.2 mostly worked with a read-only DB. The git repo related parts went through just fine, just as the NoteDB conversion did.

The only part where the upgrade threw errors, was when it tried to update the schema version. But that's expected on a read-only database. Hence, asking for a read-write database in T254516

QChris closed this task as Resolved.Jun 17 2020, 9:00 PM

The upgrade itself went well.

But it was unnecessarily slow.
For the last part it failed to take advantage of available CPUs due to the way the reindexing was implemented.
I've implemented a fix for that at https://gerrit-review.googlesource.com/c/gerrit/+/271695

hashar added a subscriber: hashar.Jun 19 2020, 2:15 PM

The upgrade itself went well.

But it was unnecessarily slow.
For the last part it failed to take advantage of available CPUs due to the way the reindexing was implemented.
I've implemented a fix for that at https://gerrit-review.googlesource.com/c/gerrit/+/271695

I like how you went the extra step to fix it up in Gerrit. Specially like the comment there. Thank you!